Get Gift Card EPIN
Returns the generated EPIN for a gift card
Path Parameters
- Type: stringuuidrequired
Unique ID of the gift card issued by and maintained in the Punchh system
Headers
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAccept
- Language Preferred language
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
Body
application/json
- Type: stringclientrequired
OAuth client ID provided by the business
- Type: stringpasscode
Secondary authentication PIN that must be passed if it is enabled for a business. It can be turned on/off from the Punchh platform.
Responses
- application/json
Request Example for get/api2/mobile/gift_cards/{uuid}/epin
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards/{uuid}/epin' \
--header 'Accept: application/json' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--header 'Content-Type: application/json' \
--data '{
"client": "CLIENT_GOES_HERE",
"passcode": "PASSCODE_GOES_HERE"
}'
{
"epin": "EPIN_GOES_HERE"
}